package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/updateAllowAndBlockList whatsapp UpdateAllowAndBlockList
//
// Update whatsapp information | 更新黑白名单
//
// Update whatsapp information | 更新黑白名单
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: UpdateAllowAndBlockListReq
//
// Responses:
//  200: BaseMsgResp

func UpdateAllowAndBlockListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UpdateAllowAndBlockListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewUpdateAllowAndBlockListLogic(r.Context(), svcCtx)
		resp, err := l.UpdateAllowAndBlockList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
